Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache.interceptor
Class CacheOperation

    java.lang.Object
      org.springframework.cache.interceptor.CacheOperation

Direct Known Subclasses:
  CacheableOperation, CacheEvictOperation, CachePutOperation

    public abstract class CacheOperation

extends java.lang.Object

Base class implementing `CacheOperation`.

Author:
  Costin Leau

Constructor Summary
`CacheOperation()`

Method Summary
`boolean` | `equals(java.lang.Object other)` This implementation compares the `toString()` results.
`java.util.Set<java.lang.String>` | `getCacheNames()`
`java.lang.String` | `getCondition()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getName()`
`protected java.lang.StringBuilder` | `getOperationDescription()` Return an identifying description for this caching operation.
`int` | `hashCode()` This implementation returns `toString()`'s hash code.
`void` | `setCacheName(java.lang.String cacheName)`
`void` | `setCacheNames(java.lang.String[] cacheNames)`
`void` | `setCondition(java.lang.String condition)`
`void` | `setKey(java.lang.String key)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()` Return an identifying description for this cache operation.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheOperation

    public CacheOperation()

Method Detail

### getCacheNames

    public java.util.Set<java.lang.String> getCacheNames()

### getCondition

    public java.lang.String getCondition()

### getKey

    public java.lang.String getKey()

### getName

    public java.lang.String getName()

### setCacheName

    public void setCacheName(java.lang.String cacheName)

### setCacheNames

    public void setCacheNames(java.lang.String[] cacheNames)

### setCondition

    public void setCondition(java.lang.String condition)

### setKey

    public void setKey(java.lang.String key)

### setName

    public void setName(java.lang.String name)

### equals

    public boolean equals(java.lang.Object other)

  This implementation compares the `toString()` results.

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `toString()`

### hashCode

    public int hashCode()

  This implementation returns `toString()`'s hash code.

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `toString()`

### toString

    public java.lang.String toString()

  Return an identifying description for this cache operation.

  Has to be overridden in subclasses for correct `equals` and `hashCode` behavior. Alternatively, `equals(java.lang.Object)` and `hashCode()` can be overridden themselves.

  Overrides:
    `toString` in class `java.lang.Object`

### getOperationDescription

    protected java.lang.StringBuilder getOperationDescription()

  Return an identifying description for this caching operation.

  Available to subclasses, for inclusion in their `toString()` result.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD